    import {WindLayer} from 'mapbox-plugins/src/layers/windLayer.js'

public class | source

# WindLayer

#### Extends:

Overlayer → CanvasOverlayer → WindLayer

initWindlayer based on mapboxgl-canvas

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | particles: * |
public | radius: * |
public | windImage: * |

## Method Summary

Public Methods
public | updateWind(image: *grid wind image) render particles based on image |

## Inherited Summary

From class Overlayer
public | map: * |
public | lnglat2pix(lng: *, lat: *): undefined[] use Global map or this.map instance to project |
public | setMap(map: *): * |
private | _init() to be overwrite in subClass |

From class CanvasOverlayer
public | blurWidth: * |
public | canvas: * |
public | initTrackCtx: * |
public | keepTrack: * |
public | labelOn: * |
public | lineColor: * |
public | movedTo: boolean |
public | redraw: * |
public | shadow: * |
public | trackCtx: * |
public | trackLayer: * |
public | tracks: *[] |
public | xfield: * |
public | yfield: * |
public | getTracks(): * |
public | redrawTrack() render cached tracks to line when map moved.. |
public | setTracks(tracks: *array of track points.): * set tracks coordinates of overlayer. |
private | _init(shadow: boolean, keepTrack: boolean): * |
private | _initTrackCtx() init track ctx for each track segment rendering.. |

## Public Constructors

### public constructor() source

#### Override:

CanvasOverlayer#constructor

## Public Members

### public particles: * source

### public radius: * source

### public windImage: * source

## Public Methods

### public updateWind(image: *grid wind image) source

render particles based on image

#### Params:

Name | Type | Attribute | Description
image | *grid wind image |  |